Some iOS 6 users must upgrade to iOS 7 to fix FaceTime

Updated

A new Apple support document reveals that some iOS 6 users must upgrade to iOS 7 in order to get FaceTime to work properly. Those iOS 6 users who have seen FaceTime call issues pop up after April 16, 2014 may be affected by a bug “resulting from a device certificate that expired on that date.” The only course of action to fix FaceTime is to update to iOS 7. People using iOS 7.0.4 or later or iOS 6.1.6 won’t be affected by this issue. [via MacRumors]

Photo of author

Phil Dzikiy

Phil Dzikiy was the Editor-in-Cheif at iLounge. He mostly edited and oversaw all site editorial content, managed staff and freelancers, made the final call on product review grades and awards, and led online coverage of all Apple events and live coverage of the International CES in 2015.